get
https://app.usegradient.com/api/vendor-api/service/
Retrieves Vendor with VendorSku[] filtered by service id
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Details
Get Vendor Service API allows you to gather additional information on the Service that you created on the Create Service for a Vendor.
Requirements
Get Vendor Service API Call requires a serviceId.
The Service ID represents the ID for the Service and can be found in the Get Vendor API Call
Sample Response
The sample response will show you details regarding the service, including the Name, Description, Category, Subcategory, and ID used in other API Calls.
{
"status": 200,
"data": {
"_id": "64...69",
"name": "API",
"description": "API is a custom made vendor",
"skus": [
{
"name": "Test Service",
"description": "Test Service Description",
"category": "security",
"subcategory": "endpoint detection and response (EDR)",
"_id": "64...6c",
"id": "64...6c"
}
],
"id": "64...69"
},
"message": "Success - Retrieved Service"
} 400You have provided an invalid Id type
401Unauthorized
403Forbidden
404Vendor Profile Not Found
429Request limit reached (100 requests a second)

